Bug 465551 - "Size must be specified for non existent path" when trying to install a VM
"Size must be specified for non existent path" when trying to install a VM
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: python-virtinst (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Cole Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-03 16:31 EDT by François Kooman
Modified: 2008-10-29 10:05 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-29 10:05:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description François Kooman 2008-10-03 16:31:43 EDT
Description of problem:

Creating a new VM doesn't work (Windows XP)

Version-Release number of selected component (if applicable):

virt-manager-0.6.0-1.fc10.x86_64
libvirt-0.4.6-3.fc10.x86_64
python-virtinst-0.400.0-1.fc10.noarch

How reproducible:

Always

Steps to Reproduce:
1. select localhost in main virt-manager screen
2. New -> Forward 
3. System Name: winxp
4. Fully Virtualized, x86_64, kvm -> Forward
5. Local install media, OS Type: Windows, OS Variant: Windows XP -> Forward
6. ISO image location: /var/lib/libvirt/images/en_winxp_pro_with_sp2.iso -> Forward
7. Simple file, 10000MB, no allocation now -> Forward
8. Network all default -> Forward
9. Memory and CPUs all default -> Forward
10. Finish
  
Actual results:

Unable to complete install: 'Size must be specified for non existent path '/var/lib/libvirt/images/en_winxp_pro_with_sp2.iso''

Unable to complete install '<type 'exceptions.ValueError'> Size must be specified for non existent path '/var/lib/libvirt/images/en_winxp_pro_with_sp2.iso'
Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/create.py", line 722, in do_install
    dom = guest.start_install(False, meter = meter)
  File "/usr/lib/python2.5/site-packages/virtinst/Guest.py", line 730, in start_install
    self._prepare_install(meter)
  File "/usr/lib/python2.5/site-packages/virtinst/FullVirtGuest.py", line 310, in _prepare_install
    distro = self.os_distro)
  File "/usr/lib/python2.5/site-packages/virtinst/DistroManager.py", line 264, in prepare
    self._prepare_cdrom(guest, distro, meter)
  File "/usr/lib/python2.5/site-packages/virtinst/DistroManager.py", line 215, in _prepare_cdrom
    transient=True)
  File "/usr/lib/python2.5/site-packages/virtinst/VirtualDisk.py", line 135, in __init__
    self.__validate_params()
  File "/usr/lib/python2.5/site-packages/virtinst/VirtualDisk.py", line 335, in __validate_params
    "existent path '%s'" % self.path))
ValueError: Size must be specified for non existent path '/var/lib/libvirt/images/en_winxp_pro_with_sp2.iso'
'

Expected results:

Should work :-)

Additional info:

I placed the XP iso in /var/lib/libvirt/images to avoid SElinux fuzz (why shouldn't you be able to select an ISO file from the Download folder anyway?!
Comment 1 Cole Robinson 2008-10-14 15:08:16 EDT
Okay, we weren't refreshing the directory/storage pool contents to reflect reality, so you were trying to create a file. Fixed upstream:

http://hg.et.redhat.com/virt/applications/virtinst--devel?cs=f117c8243aa5

I'll build this into rawhide shortly. Thanks for the report.
Comment 2 Cole Robinson 2008-10-29 10:05:40 EDT
Built in rawhide.

Note You need to log in before you can comment on or make changes to this bug.